Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.engine.spi
Class Memento

    java.lang.Object
      org.eclipse.equinox.p2.engine.spi.Memento

    public final class Memento

extends Object

Since:
  2.0

Constructor Summary
`Memento()`

Method Summary
`Object` `get(String key)`
`Enumeration<String>` `getKeys()`
`Object` `put(String key, Object value)`
`Object` `remove(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Memento

    public Memento()

Method Detail

### remove

    public Object remove(String key)

### put

    public Object put(String key,
                      Object value)

### get

    public Object get(String key)

### getKeys

    public Enumeration<String> getKeys()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.